Events

Data elements representing an event from an integration.

List Event Categories

get
/api/v1/event/category

List all the event categories in the workspace. Optional filter by title.

Authorizations
Query parameters
titlestringOptional

Filter event categories by title

Example: Landing Page
Responses
get
/api/v1/event/category

Create Event Category

post
/api/v1/event/category

Use this endpoint to create a new event category. This will be the parent of events. The category must be associated to an integration.

Authorizations
Body
titlestringOptional

The name of the category.

Example: Landing Page
integrationstringOptional

The UUID of the associated integration.

teamsstring[]Optional

The teams the category belongs to.

Example: ["e8ac09ede51e4e618eaf59942c98c260"]
Responses
chevron-right
201

Event category created

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be - True False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be - True False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
post
/api/v1/event/category

Get Event Category by Id

get
/api/v1/event/category/{event_category_id}

Retrieve the information of a specific event category.

Authorizations
Path parameters
event_category_idstringRequired

ID of the event category to retrieve

Example: 43d7c33dad744dfbbfadc172f6701afb
Responses
get
/api/v1/event/category/{event_category_id}
Deprecated

List Events

get
/api/v1/event/events

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"type","value":"event"}.

Retrieve a list of events with optional filtering using the integration_id, parent_id (the event category), and title.

Authorizations
Query parameters
integration_idstringOptional

Filter by integration ID

Example: cf103b4785764467ad34384cd523abd9
parent_idstringOptional

Filter by parent ID

Example: 43d7c33dad744dfbbfadc172f6701afb
titlestringOptional

Filter by title

Example: Clicked
Responses
get
/api/v1/event/events

Create Event

post
/api/v1/event/events

Create a new event with the provided data. Events must have a Category as a parent, and be associated with an integration.

Authorizations
Body
Responses
chevron-right
201

Event created

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be - True False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be - True False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
post
/api/v1/event/events
Deprecated

Get Event

get
/api/v1/event/events/{event_id}

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"id","value":"your-event-id"}.

Retrieve a specific event by its ID.

Authorizations
Path parameters
event_idstringRequired

The ID of the event to retrieve.

Example: 226dc8aafa8d46468b116652cdc64065
Responses
get
/api/v1/event/events/{event_id}

Delete Event

delete
/api/v1/event/events/{event_id}

Delete a specific event by it's ID.

Authorizations
Path parameters
event_idstringRequired

The ID of the event to delete.

Responses
delete
/api/v1/event/events/{event_id}

Update an Event

patch
/api/v1/event/events/{event_id}

Use this endpoint to partially update event metadata.

Authorizations
Path parameters
event_idstringRequired

The ID of the event to update.

Example: 226dc8aafa8d46468b116652cdc64065
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be - True False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be - True False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be - True False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
patch
/api/v1/event/events/{event_id}

List Event Properties

get
/api/v1/event/event_properties

Retrieve a list of events with optional filtering using the integration_id, parent_id (the event), and title.

Authorizations
Query parameters
integration_idstringOptional

Filter by integration ID

Example: cf103b4785764467ad34384cd523abd9
parent_idstringOptional

Filter by parent ID

Example: 43d7c33dad744dfbbfadc172f6701afb
titlestringOptional

Filter by title

Example: true
Responses
get
/api/v1/event/event_properties

Create Event Property

post
/api/v1/event/event_properties

Create a new event property with the provided data. Event properties must have an Event as a parent, and be associated with an integration.

Authorizations
Body
Responses
post
/api/v1/event/event_properties

Get Event Property

get
/api/v1/event/event_properties/{event_property_id}

Retrieve a specific event property by its ID.

Authorizations
Path parameters
event_property_idstringRequired

The ID of the event property to retrieve.

Example: 226dc8aafa8d46468b116652cdc64065
Responses
get
/api/v1/event/event_properties/{event_property_id}

Delete Event Property

delete
/api/v1/event/event_properties/{event_property_id}

Delete a specific event property by it's ID.

Authorizations
Path parameters
event_property_idstringRequired

The ID of the event property to delete.

Responses
delete
/api/v1/event/event_properties/{event_property_id}

Update an Event Property

patch
/api/v1/event/event_properties/{event_property_id}

Use this endpoint to partially update event metadata.

Authorizations
Path parameters
event_property_idstringRequired

The ID of the event property to update.

Example: 226dc8aafa8d46468b116652cdc64065
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be - True False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be - True False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be - True False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
patch
/api/v1/event/event_properties/{event_property_id}

Last updated

Was this helpful?